Bug 1468583 - Error rendering the kickstart default PXELinux template for provisioned host
Error rendering the kickstart default PXELinux template for provisioned host
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - OpenStack (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 08:55 EDT by Sanket Jagtap
Modified: 2017-10-13 13:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-28 03:52:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanket Jagtap 2017-07-07 08:55:43 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Satellite 6.3.0 snap5

How reproducible:
Always

Steps to Reproduce:
1. Provision a Host on Openstack CR 
2. Go to Host page,click on the host 
3. On host details page , click on templates and Review the Kickstart default PXELinux template
4. Go to Provisioning templates, Go to Kickstart default PXELinux template and render it for the openstack host

Actual results:
There was an error rendering the Kickstart default PXELinux template: undefined method '#dhcp_boot_mode?' for NilClass::Jail (NilClass)

Expected results:
Render the Kickstart template

Additional info:
Comment 2 Daniel Lobato Garcia 2017-09-28 03:51:20 EDT
Are you able to still reproduce? 
Is this image-based provisioning or network provisioning?

Provisioning on OpenStack hosts is exactly the same from the templates point of view as doing so in any other kind of Compute Resource. Do you NOT get this error with the same OS in other CRs?

Thanks
Comment 3 RHEL Product and Program Management 2017-09-28 03:52:39 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 Sanket Jagtap 2017-10-13 13:49:55 EDT
This is just for openstack, so only network based.
Yes, I am able to provision successfully on openstack CR.

Note You need to log in before you can comment on or make changes to this bug.